### Constructor

# GVnc Cursor new

#### Declaration [src]

    VncCursor*
    vnc_cursor_new (
      guint8* data,
      guint16 hotx,
      guint16 hoty,
      guint16 width,
      guint16 height
    )

#### Description [src]

Creates a new cursor using the bitmap data in `data` which should be `width` * `height` * 4 in size. The `data` parameter should be in the RGBA format, so each pixel is 32-bits in size.

#### Parameters

`data`

  Type: An array of `guint8`

  The bitmap data for the cursor.

  The data is owned by the caller of the function.

`hotx`

  Type: `guint16`

  The horizontal position of the hot point.

`hoty`

  Type: `guint16`

  The vertical position of the hot point.

`width`

  Type: `guint16`

  The width of the cursor.

`height`

  Type: `guint16`

  The height of the cursor.

#### Return value

Type: `VncCursor`

The new cursor.

The caller of the function takes ownership of the data, and is responsible for freeing it.